Summary: Quick Spam Filter
Name: qsf
Version: 1.0.18
Release: 1
Copyright: Artistic
Group: Development/Tools
Source: http://www.ivarch.com/programs/sources/qsf-1.0.18.tar.gz
BuildRoot: /var/tmp/%{name}-%{version}-root

%description
Quick Spam Filter (qsf) is a small, fast spam filter that works by
learning to recognise the words that are more likely to appear in spam than
non-spam.  It is intended to be used in a procmail recipe to mark email as
being possible spam.

Available rpmbuild rebuild options:
--with: gdbm mysql sqlite

%if %{?_with_gdbm:1}0
%package gdbm
Summary: Quick Spam Filter (GDBM backend)
Group: Development/Tools

%description gdbm
Quick Spam Filter (qsf) is a small, fast spam filter that works by
learning to recognise the words that are more likely to appear in spam than
non-spam.  It is intended to be used in a procmail recipe to mark email as
being possible spam.

This is the GDBM backend version.
%endif

%if %{?_with_mysql:1}0
%package mysql
Summary: Quick Spam Filter (MySQL backend)
Group: Development/Tools

%description mysql
Quick Spam Filter (qsf) is a small, fast spam filter that works by
learning to recognise the words that are more likely to appear in spam than
non-spam.  It is intended to be used in a procmail recipe to mark email as
being possible spam.

This is the MySQL backend version.
%endif

%if %{?_with_sqlite:1}0
%package sqlite
Summary: Quick Spam Filter (SQLite backend)
Group: Development/Tools

%description sqlite
Quick Spam Filter (qsf) is a small, fast spam filter that works by
learning to recognise the words that are more likely to appear in spam than
non-spam.  It is intended to be used in a procmail recipe to mark email as
being possible spam.

This is the SQLite backend version.
%endif

%prep
%setup
mkdir normal
cd normal
CFLAGS="$RPM_OPT_FLAGS" sh ../configure \
  --prefix=/usr \
  --infodir=/usr/share/info \
  --mandir=/usr/share/man \
  --sysconfdir=/etc \
  --with-internal-db
cd ..
%if %{?_with_gdbm:1}0
mkdir gdbm
cd gdbm
CFLAGS="$RPM_OPT_FLAGS" sh ../configure \
  --prefix=/usr \
  --infodir=/usr/share/info \
  --mandir=/usr/share/man \
  --sysconfdir=/etc \
  --with-gdbm
cd ..
%endif
%if %{?_with_mysql:1}0
mkdir mysql
cd mysql
CFLAGS="$RPM_OPT_FLAGS" sh ../configure \
  --prefix=/usr \
  --infodir=/usr/share/info \
  --mandir=/usr/share/man \
  --sysconfdir=/etc \
  --with-mysql
cd ..
%endif
%if %{?_with_sqlite:1}0
mkdir sqlite
cd sqlite
CFLAGS="$RPM_OPT_FLAGS" sh ../configure \
  --prefix=/usr \
  --infodir=/usr/share/info \
  --mandir=/usr/share/man \
  --sysconfdir=/etc \
  --with-sqlite
cd ..
%endif

%build
make -C normal
%{?_with_gdbm:make -C gdbm}
%{?_with_mysql:make -C mysql}
%{?_with_sqlite:make -C sqlite}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"
[ -e "$RPM_BUILD_ROOT" ] || mkdir -m 755 "$RPM_BUILD_ROOT"
make -C normal install DESTDIR="$RPM_BUILD_ROOT"
%{?_with_gdbm:cp gdbm/qsf "$RPM_BUILD_ROOT"/usr/bin/qsf-gdbm}
%{?_with_mysql:cp mysql/qsf "$RPM_BUILD_ROOT"/usr/bin/qsf-mysql}
%{?_with_sqlite:cp sqlite/qsf "$RPM_BUILD_ROOT"/usr/bin/qsf-sqlite}
chmod 755 "$RPM_BUILD_ROOT"/usr/bin/qsf*

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%pre

%post

%preun

%postun

%files
%defattr(-, root, root)
/usr/bin/qsf
%docdir /usr/share/man/man1
/usr/share/man/man1/*
%doc README doc/NEWS doc/TODO doc/COPYING doc/postfix-howto extra/*.sh

%if %{?_with_gdbm:1}0
%files gdbm
%defattr(-, root, root)
/usr/bin/qsf-gdbm
%endif

%if %{?_with_mysql:1}0
%files mysql
%defattr(-, root, root)
/usr/bin/qsf-mysql
%endif

%if %{?_with_sqlite:1}0
%files sqlite
%defattr(-, root, root)
/usr/bin/qsf-sqlite
%endif

%changelog
* Sat Feb 19 2005 Andrew Wood <andrew.wood@ivarch.com>
- A new option to skip short messages was added;
- an option to tune the extent of database pruning was added;
- and the tokeniser was improved.

* Sat Feb  5 2005 Andrew Wood <andrew.wood@ivarch.com>
- Bug fixes when building RPMs, and added support for "rpmbuild --with".

* Sun Sep 26 2004 Andrew Wood <andrew.wood@ivarch.com>
- Code cleanup, and new routines to decode character-encoded headers.

* Wed Sep 22 2004 Andrew Wood <andrew.wood@ivarch.com>
- A new database backend based on SQLite was added.

* Tue Jun 22 2004 Andrew Wood <andrew.wood@ivarch.com>
- A new verbosity option to add errors and information as message headers;
- an option to output stars like SpamAssassin was added;
- the allow-list can be queried using an address read from an email; and
- a system-wide filtering HOWTO was added.

* Tue Apr 27 2004 Andrew Wood <andrew.wood@ivarch.com>
- More explanation of tokenisation, and a new troubleshooting section added
  to the manual.

* Fri Mar 12 2004 Andrew Wood <andrew.wood@ivarch.com>
- Code cleanup, many new filters, and some command line syntax improvements.

* Fri Jan 16 2004 Andrew Wood <andrew.wood@ivarch.com>
- A new option to query and update the allow-list directly was added;
- the spam threshold level can be now altered;
- a second "global" database can now be used; and
- some minor bug fixes were made.

* Mon Jan  5 2004 Andrew Wood <andrew.wood@ivarch.com>
- The tokeniser was improved further to recognise distinct URLs and compress whitespace.
- Additional filters for IP-based URLs and virus attachments were added.

* Sat Dec 27 2003 Andrew Wood <andrew.wood@ivarch.com>
- Minor cosmetic fixes were made for non-Linux systems.
- Speed improvements have been made in the binary tree backend database.

* Fri Nov 14 2003 Andrew Wood <andrew.wood@ivarch.com>
- Added "-mysql" subpackage for optional MySQL backend

* Thu Aug 21 2003 Andrew Wood <andrew.wood@ivarch.com>
- Added package description

* Sat Jan 11 2003 Andrew Wood <andrew.wood@ivarch.com>
- First draft of spec file created
