/*
 * Binary tree database signal handling functions.
 *
 * Copyright 2005 Andrew Wood, distributed under the Artistic License.
 */

#include "config.h"
#include "database.h"

#ifdef USING_INTERNAL_DB

#include <signal.h>
#include "btreei.h"


/*
 * Block common interrupt signals, so a user doesn't accidentally kill this
 * process while it's doing something critical to data integrity.
 */
void dbbt_sig_block(void)
{
#ifdef SIGHUP
	signal(SIGHUP, SIG_IGN);	    /* RATS: ignore (OK) */
#endif
#ifdef SIGINT
	signal(SIGINT, SIG_IGN);	    /* RATS: ignore (OK) */
#endif
#ifdef SIGQUIT
	signal(SIGQUIT, SIG_IGN);	    /* RATS: ignore (OK) */
#endif
#ifdef SIGTERM
	signal(SIGTERM, SIG_IGN);	    /* RATS: ignore (OK) */
#endif
}


/*
 * Unblock previously blocked signals.
 */
void dbbt_sig_unblock(void)
{
#ifdef SIGHUP
	signal(SIGHUP, SIG_DFL);	    /* RATS: ignore (OK) */
#endif
#ifdef SIGINT
	signal(SIGINT, SIG_DFL);	    /* RATS: ignore (OK) */
#endif
#ifdef SIGQUIT
	signal(SIGQUIT, SIG_DFL);	    /* RATS: ignore (OK) */
#endif
#ifdef SIGTERM
	signal(SIGTERM, SIG_DFL);	    /* RATS: ignore (OK) */
#endif
}

#endif				/* USING_INTERNAL_DB */

/* EOF */
